Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_FolderRelationship

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_Relationship
                          oracle.ifs.server.S_TieRelationship
                              oracle.ifs.server.S_FolderRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFolderRelationship

    public class S_FolderRelationship

extends S_TieRelationship

Server side representation of the FOLDERRELATIONSHIP class.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_Relationship
`CLASS_NAME`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_FolderRelationship(S_LibrarySession session, java.lang.Long classId)` Construct a S_FolderRelationship object.
`protected` | `S_FolderRelationship(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_FolderRelationship object.

Method Summary
`protected void` | `associatedPostFree(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for post free actions on associated objects.
`protected void` | `associatedPostInsert(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for post insert actions on associated objects.
`protected void` | `associatedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` an extensibility point for pre insert actions on associated objects.
`protected void` | `extendedPostAddRelationship(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition def)` an extensibility point after a relationship is created.
`protected void` | `extendedPostRemoveRelationship(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition def)` an extensibility point after a relationship is removed.
`protected void` | `extendedPreAddRelationship(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition def)` an extensibility point before a relationship is created.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Operations to be preformed before creating an instance of S_FolderRelationship.
`protected void` | `extendedPreRemoveRelationship(OperationState opState, S_PublicObject rightpo, S_LibraryObjectDefinition def)` an extensibility point before a relationship is removed.
`protected void` | `handleCascade(OperationState opState, S_LibraryObject source, int cascadeType, S_LibraryObjectDefinition sdef, java.lang.Object customArg)` handle a cascaded operation initiated by (usually) another object.

Methods inherited from class oracle.ifs.server.S_Relationship
`cascadeDeleteToLeftObject, cascadeDeleteToRightObject, cascadeFree, cascadeFreeToLeftObject, cascadeFreeToRightObject, cascadeUndeleteToLeftObject, cascadeUndeleteToRightObject, deriveDefinition, extendedPreFree, getLeftObject, getRightObject, vectorToSRelationshipArray`

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, createCategories, extendedPostInsert, extendedPostUpdate, extendedPreUpdate, getCategories, getCategories, getCategories, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_FolderRelationship

    protected S_FolderRelationship(S_LibrarySession session,
                                   S_LibraryObjectData data)
                            throws IfsException

  Construct a S_FolderRelationship object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fail
  (Unpublished)

### S_FolderRelationship

    protected S_FolderRelationship(S_LibrarySession session,
                                   java.lang.Long classId)
                            throws IfsException

  Construct a S_FolderRelationship object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - ID of the ClassObject for this instance
  Throws:
    `IfsException` - if the operation fail
  (Unpublished)

Method Detail

### handleCascade

    protected void handleCascade(OperationState opState,
                                 S_LibraryObject source,
                                 int cascadeType,
                                 S_LibraryObjectDefinition sdef,
                                 java.lang.Object customArg)
                          throws IfsException

  Description copied from class: `S_FolderRelationship`
  handle a cascaded operation initiated by (usually) another object. This is overridden by classes to add custom handlers. It is ok if no class handles the cascade (that is implied to mean "no action needed").

  Overrides:
    `handleCascade` in class `S_Relationship`
  Parameters:
    `opState` - originating operation state
    `source` - object initiating this cascade request (not necessarily the original object)
    `cascadeType` - type of cascade request
    `sdef` - original Definition object
    `customArg` - any custom parameter.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_FolderRelationship`
  Operations to be preformed before creating an instance of S_FolderRelationship. Check for cycles.

  Overrides:
    `extendedPreInsert` in class `S_Relationship`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### associatedPreInsert

    protected void associatedPreInsert(OperationState opState,
                                       S_LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point for pre insert actions on associated objects.

  Overrides:
    `associatedPreInsert` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### associatedPostInsert

    protected void associatedPostInsert(OperationState opState,
                                        S_LibraryObjectDefinition def)
                                 throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point for post insert actions on associated objects.

  Overrides:
    `associatedPostInsert` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### associatedPostFree

    protected void associatedPostFree(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point for post free actions on associated objects. A relationship was freed call extendedPostFreeRelationship. This can be overridden to update different associated objects.

  Overrides:
    `associatedPostFree` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `def` - the LibraryObjectDefinition for this operation
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

### extendedPreAddRelationship

    protected void extendedPreAddRelationship(OperationState opState,
                                              S_PublicObject rightpo,
                                              S_LibraryObjectDefinition def)
                                       throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point before a relationship is created.

  Overrides:
    `extendedPreAddRelationship` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `rightpo` - the item being added to the folder
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPostAddRelationship

    protected void extendedPostAddRelationship(OperationState opState,
                                               S_PublicObject rightpo,
                                               S_LibraryObjectDefinition def)
                                        throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point after a relationship is created.

  Overrides:
    `extendedPostAddRelationship` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `rightpo` - the item being added to the folder
    `def` - the LibraryObjectDefinition that contains the settings for the new instance.
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPreRemoveRelationship

    protected void extendedPreRemoveRelationship(OperationState opState,
                                                 S_PublicObject rightpo,
                                                 S_LibraryObjectDefinition def)
                                          throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point before a relationship is removed.

  Overrides:
    `extendedPreRemoveRelationship` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `rightpo` - the item being removed from the folder
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

### extendedPostRemoveRelationship

    protected void extendedPostRemoveRelationship(OperationState opState,
                                                  S_PublicObject rightpo,
                                                  S_LibraryObjectDefinition def)
                                           throws IfsException

  Description copied from class: `S_FolderRelationship`
  an extensibility point after a relationship is removed.

  Overrides:
    `extendedPostRemoveRelationship` in class `S_Relationship`
  Parameters:
    `opState` - the operation state
    `rightpo` - the item being removed from the folder
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD